<?php

use App\Models\ClientStickyNote;

$recentStickyNotes = ClientStickyNote::where('client_id', $patient->id)->orderBy('created_at', 'DESC')->limit(5)->get();
?>
<div moe relative wide center class="ml-2">
	<a start show><i class="fas fa-history fa-fw on-hover-opaque"></i></a>
	<form url="" class="mcp-theme-1">
		<div>
			<div class="d-flex align-items-center justify-content-between pb-2 mb-1">
				<h5 class="mb-0 font-weight-bold">Recent Sticky Notes</h5>
				<button cancel class="btn btn-sm btn-default border">
					<i class="fas fa-times"></i>
				</button>
			</div>
			<table class="table table-sm table-striped table-bordered">
				<thead class="bg-light">
					<tr>
						<th class="border-bottom-0">Date</th>
						<th class="border-bottom-0">Note</th>
						<th class="border-bottom-0">Created By</th>
					</tr>
				</thead>
				<tbody>
					@foreach($recentStickyNotes as $sn)
					<tr>
						<td style="width:180px">{{ friendly_date_time($sn->created_at) }}</td>
						<td style="width:400px;"><?= nl2br($sn->sticky_note) ?></td>
						<td>{{ $sn->createdBy->pro->displayName() }}</td>
					</tr>
					@endforeach
					@if(!count($recentStickyNotes))
						<tr>
							<td colspan="4">No records found</td>
						</tr>
					@endif
				</tbody>
			</table>
		</div>
	</form>
</div>
